Class ContainersApi

java.lang.Object
io.github.alersrt.pod4j.openapi.api.ContainersApi

public class ContainersApi extends Object
  • Constructor Details

    • ContainersApi

      public ContainersApi()
    • ContainersApi

      public ContainersApi(ApiClient apiClient)
  • Method Details

    • getApiClient

      public ApiClient getApiClient()
    • setApiClient

      public void setApiClient(ApiClient apiClient)
    • getHostIndex

      public int getHostIndex()
    • setHostIndex

      public void setHostIndex(int hostIndex)
    • getCustomBaseUrl

      public String getCustomBaseUrl()
    • setCustomBaseUrl

      public void setCustomBaseUrl(String customBaseUrl)
    • containerAttachLibpodCall

      public okhttp3.Call containerAttachLibpodCall(String name, String detachKeys, Boolean logs, Boolean stream, Boolean stdout, Boolean stderr, Boolean stdin, ApiCallback _callback) throws ApiException
      Build call for containerAttachLibpod
      Parameters:
      name - the name or ID of the container (required)
      detachKeys - keys to use for detaching from the container (optional)
      logs - Stream all logs from the container across the connection. Happens before streaming attach (if requested). At least one of logs or stream must be set (optional)
      stream - Attach to the container. If unset, and logs is set, only the container's logs will be sent. At least one of stream or logs must be set (optional, default to true)
      stdout - Attach to container STDOUT (optional)
      stderr - Attach to container STDERR (optional)
      stdin - Attach to container STDIN (optional)
      _callback - Callback for upload/download progress
      Returns:
      Call to execute
      Throws:
      ApiException - If fail to serialize the request body object
      Http Response Details
      Status Code Description Response Headers
      101 No error, connection has been hijacked for transporting streams. -
      400 Bad parameter in request -
      404 No such container -
      500 Internal server error -
    • containerAttachLibpod

      public void containerAttachLibpod(String name, String detachKeys, Boolean logs, Boolean stream, Boolean stdout, Boolean stderr, Boolean stdin) throws ApiException
      Attach to a container Attach to a container to read its output or send it input. You can attach to the same container multiple times and you can reattach to containers that have been detached. ### Hijacking This endpoint hijacks the HTTP connection to transport `stdin`, `stdout`, and `stderr` on the same socket. This is the response from the service for an attach request: ``` HTTP/1.1 200 OK Content-Type: application/vnd.docker.raw-stream [STREAM] ``` After the headers and two new lines, the TCP connection can now be used for raw, bidirectional communication between the client and server. To inform potential proxies about connection hijacking, the client can also optionally send connection upgrade headers. For example, the client sends this request to upgrade the connection: ``` POST /v4.6.0/libpod/containers/16253994b7c4/attach?stream=1&stdout=1 HTTP/1.1 Upgrade: tcp Connection: Upgrade ``` The service will respond with a `101 UPGRADED` response, and will similarly follow with the raw stream: ``` HTTP/1.1 101 UPGRADED Content-Type: application/vnd.docker.raw-stream Connection: Upgrade Upgrade: tcp [STREAM] ``` ### Stream format When the TTY setting is disabled for the container, the HTTP Content-Type header is set to application/vnd.docker.multiplexed-stream (starting with v4.7.0, previously application/vnd.docker.raw-stream was always used) and the stream over the hijacked connected is multiplexed to separate out `stdout` and `stderr`. The stream consists of a series of frames, each containing a header and a payload. The header contains the information about the output stream type and the size of the payload. It is encoded on the first eight bytes like this: ```go header := [8]byte{STREAM_TYPE, 0, 0, 0, SIZE1, SIZE2, SIZE3, SIZE4} ``` `STREAM_TYPE` can be: - 0: `stdin` (is written on `stdout`) - 1: `stdout` - 2: `stderr` `SIZE1, SIZE2, SIZE3, SIZE4` are the four bytes of the `uint32` size encoded as big endian. Following the header is the payload, which contains the specified number of bytes as written in the size. The simplest way to implement this protocol is the following: 1. Read 8 bytes. 2. Choose `stdout` or `stderr` depending on the first byte. 3. Extract the frame size from the last four bytes. 4. Read the extracted size and output it on the correct output. 5. Goto 1. ### Stream format when using a TTY When the TTY setting is enabled for the container, the stream is not multiplexed. The data exchanged over the hijacked connection is simply the raw data from the process PTY and client's `stdin`.
      Parameters:
      name - the name or ID of the container (required)
      detachKeys - keys to use for detaching from the container (optional)
      logs - Stream all logs from the container across the connection. Happens before streaming attach (if requested). At least one of logs or stream must be set (optional)
      stream - Attach to the container. If unset, and logs is set, only the container's logs will be sent. At least one of stream or logs must be set (optional, default to true)
      stdout - Attach to container STDOUT (optional)
      stderr - Attach to container STDERR (optional)
      stdin - Attach to container STDIN (optional)
      Throws:
      ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body
      Http Response Details
      Status Code Description Response Headers
      101 No error, connection has been hijacked for transporting streams. -
      400 Bad parameter in request -
      404 No such container -
      500 Internal server error -
    • containerAttachLibpodWithHttpInfo

      public ApiResponse<Void> containerAttachLibpodWithHttpInfo(String name, String detachKeys, Boolean logs, Boolean stream, Boolean stdout, Boolean stderr, Boolean stdin) throws ApiException
      Attach to a container Attach to a container to read its output or send it input. You can attach to the same container multiple times and you can reattach to containers that have been detached. ### Hijacking This endpoint hijacks the HTTP connection to transport `stdin`, `stdout`, and `stderr` on the same socket. This is the response from the service for an attach request: ``` HTTP/1.1 200 OK Content-Type: application/vnd.docker.raw-stream [STREAM] ``` After the headers and two new lines, the TCP connection can now be used for raw, bidirectional communication between the client and server. To inform potential proxies about connection hijacking, the client can also optionally send connection upgrade headers. For example, the client sends this request to upgrade the connection: ``` POST /v4.6.0/libpod/containers/16253994b7c4/attach?stream=1&stdout=1 HTTP/1.1 Upgrade: tcp Connection: Upgrade ``` The service will respond with a `101 UPGRADED` response, and will similarly follow with the raw stream: ``` HTTP/1.1 101 UPGRADED Content-Type: application/vnd.docker.raw-stream Connection: Upgrade Upgrade: tcp [STREAM] ``` ### Stream format When the TTY setting is disabled for the container, the HTTP Content-Type header is set to application/vnd.docker.multiplexed-stream (starting with v4.7.0, previously application/vnd.docker.raw-stream was always used) and the stream over the hijacked connected is multiplexed to separate out `stdout` and `stderr`. The stream consists of a series of frames, each containing a header and a payload. The header contains the information about the output stream type and the size of the payload. It is encoded on the first eight bytes like this: ```go header := [8]byte{STREAM_TYPE, 0, 0, 0, SIZE1, SIZE2, SIZE3, SIZE4} ``` `STREAM_TYPE` can be: - 0: `stdin` (is written on `stdout`) - 1: `stdout` - 2: `stderr` `SIZE1, SIZE2, SIZE3, SIZE4` are the four bytes of the `uint32` size encoded as big endian. Following the header is the payload, which contains the specified number of bytes as written in the size. The simplest way to implement this protocol is the following: 1. Read 8 bytes. 2. Choose `stdout` or `stderr` depending on the first byte. 3. Extract the frame size from the last four bytes. 4. Read the extracted size and output it on the correct output. 5. Goto 1. ### Stream format when using a TTY When the TTY setting is enabled for the container, the stream is not multiplexed. The data exchanged over the hijacked connection is simply the raw data from the process PTY and client's `stdin`.
      Parameters:
      name - the name or ID of the container (required)
      detachKeys - keys to use for detaching from the container (optional)
      logs - Stream all logs from the container across the connection. Happens before streaming attach (if requested). At least one of logs or stream must be set (optional)
      stream - Attach to the container. If unset, and logs is set, only the container's logs will be sent. At least one of stream or logs must be set (optional, default to true)
      stdout - Attach to container STDOUT (optional)
      stderr - Attach to container STDERR (optional)
      stdin - Attach to container STDIN (optional)
      Returns:
      ApiResponse<Void>
      Throws:
      ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body
      Http Response Details
      Status Code Description Response Headers
      101 No error, connection has been hijacked for transporting streams. -
      400 Bad parameter in request -
      404 No such container -
      500 Internal server error -
    • containerAttachLibpodAsync

      public okhttp3.Call containerAttachLibpodAsync(String name, String detachKeys, Boolean logs, Boolean stream, Boolean stdout, Boolean stderr, Boolean stdin, ApiCallback<Void> _callback) throws ApiException
      Attach to a container (asynchronously) Attach to a container to read its output or send it input. You can attach to the same container multiple times and you can reattach to containers that have been detached. ### Hijacking This endpoint hijacks the HTTP connection to transport `stdin`, `stdout`, and `stderr` on the same socket. This is the response from the service for an attach request: ``` HTTP/1.1 200 OK Content-Type: application/vnd.docker.raw-stream [STREAM] ``` After the headers and two new lines, the TCP connection can now be used for raw, bidirectional communication between the client and server. To inform potential proxies about connection hijacking, the client can also optionally send connection upgrade headers. For example, the client sends this request to upgrade the connection: ``` POST /v4.6.0/libpod/containers/16253994b7c4/attach?stream=1&stdout=1 HTTP/1.1 Upgrade: tcp Connection: Upgrade ``` The service will respond with a `101 UPGRADED` response, and will similarly follow with the raw stream: ``` HTTP/1.1 101 UPGRADED Content-Type: application/vnd.docker.raw-stream Connection: Upgrade Upgrade: tcp [STREAM] ``` ### Stream format When the TTY setting is disabled for the container, the HTTP Content-Type header is set to application/vnd.docker.multiplexed-stream (starting with v4.7.0, previously application/vnd.docker.raw-stream was always used) and the stream over the hijacked connected is multiplexed to separate out `stdout` and `stderr`. The stream consists of a series of frames, each containing a header and a payload. The header contains the information about the output stream type and the size of the payload. It is encoded on the first eight bytes like this: ```go header := [8]byte{STREAM_TYPE, 0, 0, 0, SIZE1, SIZE2, SIZE3, SIZE4} ``` `STREAM_TYPE` can be: - 0: `stdin` (is written on `stdout`) - 1: `stdout` - 2: `stderr` `SIZE1, SIZE2, SIZE3, SIZE4` are the four bytes of the `uint32` size encoded as big endian. Following the header is the payload, which contains the specified number of bytes as written in the size. The simplest way to implement this protocol is the following: 1. Read 8 bytes. 2. Choose `stdout` or `stderr` depending on the first byte. 3. Extract the frame size from the last four bytes. 4. Read the extracted size and output it on the correct output. 5. Goto 1. ### Stream format when using a TTY When the TTY setting is enabled for the container, the stream is not multiplexed. The data exchanged over the hijacked connection is simply the raw data from the process PTY and client's `stdin`.
      Parameters:
      name - the name or ID of the container (required)
      detachKeys - keys to use for detaching from the container (optional)
      logs - Stream all logs from the container across the connection. Happens before streaming attach (if requested). At least one of logs or stream must be set (optional)
      stream - Attach to the container. If unset, and logs is set, only the container's logs will be sent. At least one of stream or logs must be set (optional, default to true)
      stdout - Attach to container STDOUT (optional)
      stderr - Attach to container STDERR (optional)
      stdin - Attach to container STDIN (optional)
      _callback - The callback to be executed when the API call finishes
      Returns:
      The request call
      Throws:
      ApiException - If fail to process the API call, e.g. serializing the request body object
      Http Response Details
      Status Code Description Response Headers
      101 No error, connection has been hijacked for transporting streams. -
      400 Bad parameter in request -
      404 No such container -
      500 Internal server error -
    • containerChangesLibpodCall

      public okhttp3.Call containerChangesLibpodCall(String name, String parent, String diffType, ApiCallback _callback) throws ApiException
      Build call for containerChangesLibpod
      Parameters:
      name - the name or id of the container (required)
      parent - specify a second layer which is used to compare against it instead of the parent layer (optional)
      diffType - select what you want to match, default is all (optional)
      _callback - Callback for upload/download progress
      Returns:
      Call to execute
      Throws:
      ApiException - If fail to serialize the request body object
      Http Response Details
      Status Code Description Response Headers
      200 Array of Changes -
      404 No such container -
      500 Internal server error -
    • containerChangesLibpod

      public void containerChangesLibpod(String name, String parent, String diffType) throws ApiException
      Report on changes to container's filesystem; adds, deletes or modifications. Returns which files in a container's filesystem have been added, deleted, or modified. The Kind of modification can be one of: 0: Modified 1: Added 2: Deleted
      Parameters:
      name - the name or id of the container (required)
      parent - specify a second layer which is used to compare against it instead of the parent layer (optional)
      diffType - select what you want to match, default is all (optional)
      Throws:
      ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body
      Http Response Details
      Status Code Description Response Headers
      200 Array of Changes -
      404 No such container -
      500 Internal server error -
    • containerChangesLibpodWithHttpInfo

      public ApiResponse<Void> containerChangesLibpodWithHttpInfo(String name, String parent, String diffType) throws ApiException
      Report on changes to container's filesystem; adds, deletes or modifications. Returns which files in a container's filesystem have been added, deleted, or modified. The Kind of modification can be one of: 0: Modified 1: Added 2: Deleted
      Parameters:
      name - the name or id of the container (required)
      parent - specify a second layer which is used to compare against it instead of the parent layer (optional)
      diffType - select what you want to match, default is all (optional)
      Returns:
      ApiResponse<Void>
      Throws:
      ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body
      Http Response Details
      Status Code Description Response Headers
      200 Array of Changes -
      404 No such container -
      500 Internal server error -
    • containerChangesLibpodAsync

      public okhttp3.Call containerChangesLibpodAsync(String name, String parent, String diffType, ApiCallback<Void> _callback) throws ApiException
      Report on changes to container's filesystem; adds, deletes or modifications. (asynchronously) Returns which files in a container's filesystem have been added, deleted, or modified. The Kind of modification can be one of: 0: Modified 1: Added 2: Deleted
      Parameters:
      name - the name or id of the container (required)
      parent - specify a second layer which is used to compare against it instead of the parent layer (optional)
      diffType - select what you want to match, default is all (optional)
      _callback - The callback to be executed when the API call finishes
      Returns:
      The request call
      Throws:
      ApiException - If fail to process the API call, e.g. serializing the request body object
      Http Response Details
      Status Code Description Response Headers
      200 Array of Changes -
      404 No such container -
      500 Internal server error -
    • containerCheckpointLibpodCall

      public okhttp3.Call containerCheckpointLibpodCall(String name, Boolean keep, Boolean leaveRunning, Boolean tcpEstablished, Boolean export, Boolean ignoreRootFS, Boolean ignoreVolumes, Boolean preCheckpoint, Boolean withPrevious, Boolean fileLocks, Boolean printStats, ApiCallback _callback) throws ApiException
      Build call for containerCheckpointLibpod
      Parameters:
      name - the name or ID of the container (required)
      keep - keep all temporary checkpoint files (optional)
      leaveRunning - leave the container running after writing checkpoint to disk (optional)
      tcpEstablished - checkpoint a container with established TCP connections (optional)
      export - export the checkpoint image to a tar.gz (optional)
      ignoreRootFS - do not include root file-system changes when exporting. can only be used with export (optional)
      ignoreVolumes - do not include associated volumes. can only be used with export (optional)
      preCheckpoint - dump the container's memory information only, leaving the container running. only works on runc 1.0-rc or higher (optional)
      withPrevious - check out the container with previous criu image files in pre-dump. only works on runc 1.0-rc or higher (optional)
      fileLocks - checkpoint a container with filelocks (optional)
      printStats - add checkpoint statistics to the returned CheckpointReport (optional)
      _callback - Callback for upload/download progress
      Returns:
      Call to execute
      Throws:
      ApiException - If fail to serialize the request body object
      Http Response Details
      Status Code Description Response Headers
      200 tarball is returned in body if exported -
      404 No such container -
      500 Internal server error -
    • containerCheckpointLibpod

      public void containerCheckpointLibpod(String name, Boolean keep, Boolean leaveRunning, Boolean tcpEstablished, Boolean export, Boolean ignoreRootFS, Boolean ignoreVolumes, Boolean preCheckpoint, Boolean withPrevious, Boolean fileLocks, Boolean printStats) throws ApiException
      Checkpoint a container
      Parameters:
      name - the name or ID of the container (required)
      keep - keep all temporary checkpoint files (optional)
      leaveRunning - leave the container running after writing checkpoint to disk (optional)
      tcpEstablished - checkpoint a container with established TCP connections (optional)
      export - export the checkpoint image to a tar.gz (optional)
      ignoreRootFS - do not include root file-system changes when exporting. can only be used with export (optional)
      ignoreVolumes - do not include associated volumes. can only be used with export (optional)
      preCheckpoint - dump the container's memory information only, leaving the container running. only works on runc 1.0-rc or higher (optional)
      withPrevious - check out the container with previous criu image files in pre-dump. only works on runc 1.0-rc or higher (optional)
      fileLocks - checkpoint a container with filelocks (optional)
      printStats - add checkpoint statistics to the returned CheckpointReport (optional)
      Throws:
      ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body
      Http Response Details
      Status Code Description Response Headers
      200 tarball is returned in body if exported -
      404 No such container -
      500 Internal server error -
    • containerCheckpointLibpodWithHttpInfo

      public ApiResponse<Void> containerCheckpointLibpodWithHttpInfo(String name, Boolean keep, Boolean leaveRunning, Boolean tcpEstablished, Boolean export, Boolean ignoreRootFS, Boolean ignoreVolumes, Boolean preCheckpoint, Boolean withPrevious, Boolean fileLocks, Boolean printStats) throws ApiException
      Checkpoint a container
      Parameters:
      name - the name or ID of the container (required)
      keep - keep all temporary checkpoint files (optional)
      leaveRunning - leave the container running after writing checkpoint to disk (optional)
      tcpEstablished - checkpoint a container with established TCP connections (optional)
      export - export the checkpoint image to a tar.gz (optional)
      ignoreRootFS - do not include root file-system changes when exporting. can only be used with export (optional)
      ignoreVolumes - do not include associated volumes. can only be used with export (optional)
      preCheckpoint - dump the container's memory information only, leaving the container running. only works on runc 1.0-rc or higher (optional)
      withPrevious - check out the container with previous criu image files in pre-dump. only works on runc 1.0-rc or higher (optional)
      fileLocks - checkpoint a container with filelocks (optional)
      printStats - add checkpoint statistics to the returned CheckpointReport (optional)
      Returns:
      ApiResponse<Void>
      Throws:
      ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body
      Http Response Details
      Status Code Description Response Headers
      200 tarball is returned in body if exported -
      404 No such container -
      500 Internal server error -
    • containerCheckpointLibpodAsync

      public okhttp3.Call containerCheckpointLibpodAsync(String name, Boolean keep, Boolean leaveRunning, Boolean tcpEstablished, Boolean export, Boolean ignoreRootFS, Boolean ignoreVolumes, Boolean preCheckpoint, Boolean withPrevious, Boolean fileLocks, Boolean printStats, ApiCallback<Void> _callback) throws ApiException
      Checkpoint a container (asynchronously)
      Parameters:
      name - the name or ID of the container (required)
      keep - keep all temporary checkpoint files (optional)
      leaveRunning - leave the container running after writing checkpoint to disk (optional)
      tcpEstablished - checkpoint a container with established TCP connections (optional)
      export - export the checkpoint image to a tar.gz (optional)
      ignoreRootFS - do not include root file-system changes when exporting. can only be used with export (optional)
      ignoreVolumes - do not include associated volumes. can only be used with export (optional)
      preCheckpoint - dump the container's memory information only, leaving the container running. only works on runc 1.0-rc or higher (optional)
      withPrevious - check out the container with previous criu image files in pre-dump. only works on runc 1.0-rc or higher (optional)
      fileLocks - checkpoint a container with filelocks (optional)
      printStats - add checkpoint statistics to the returned CheckpointReport (optional)
      _callback - The callback to be executed when the API call finishes
      Returns:
      The request call
      Throws:
      ApiException - If fail to process the API call, e.g. serializing the request body object
      Http Response Details
      Status Code Description Response Headers
      200 tarball is returned in body if exported -
      404 No such container -
      500 Internal server error -
    • containerCreateLibpodCall

      public okhttp3.Call containerCreateLibpodCall(SpecGenerator create, ApiCallback _callback) throws ApiException
      Build call for containerCreateLibpod
      Parameters:
      create - attributes for creating a container (required)
      _callback - Callback for upload/download progress
      Returns:
      Call to execute
      Throws:
      ApiException - If fail to serialize the request body object
      Http Response Details
      Status Code Description Response Headers
      201 Create container -
      400 Bad parameter in request -
      404 No such container -
      409 Conflict error in operation -
      500 Internal server error -
    • containerCreateLibpod

      public ContainerCreateResponse containerCreateLibpod(SpecGenerator create) throws ApiException
      Create a container
      Parameters:
      create - attributes for creating a container (required)
      Returns:
      ContainerCreateResponse
      Throws:
      ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body
      Http Response Details
      Status Code Description Response Headers
      201 Create container -
      400 Bad parameter in request -
      404 No such container -
      409 Conflict error in operation -
      500 Internal server error -
    • containerCreateLibpodWithHttpInfo

      public ApiResponse<ContainerCreateResponse> containerCreateLibpodWithHttpInfo(SpecGenerator create) throws ApiException
      Create a container
      Parameters:
      create - attributes for creating a container (required)
      Returns:
      ApiResponse<ContainerCreateResponse>
      Throws:
      ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body
      Http Response Details
      Status Code Description Response Headers
      201 Create container -
      400 Bad parameter in request -
      404 No such container -
      409 Conflict error in operation -
      500 Internal server error -
    • containerCreateLibpodAsync

      public okhttp3.Call containerCreateLibpodAsync(SpecGenerator create, ApiCallback<ContainerCreateResponse> _callback) throws ApiException
      Create a container (asynchronously)
      Parameters:
      create - attributes for creating a container (required)
      _callback - The callback to be executed when the API call finishes
      Returns:
      The request call
      Throws:
      ApiException - If fail to process the API call, e.g. serializing the request body object
      Http Response Details
      Status Code Description Response Headers
      201 Create container -
      400 Bad parameter in request -
      404 No such container -
      409 Conflict error in operation -
      500 Internal server error -
    • containerDeleteLibpodCall

      public okhttp3.Call containerDeleteLibpodCall(String name, Boolean depend, Boolean force, Boolean ignore, Integer timeout, Boolean v, ApiCallback _callback) throws ApiException
      Build call for containerDeleteLibpod
      Parameters:
      name - the name or ID of the container (required)
      depend - additionally remove containers that depend on the container to be removed (optional)
      force - force stop container if running (optional)
      ignore - ignore errors when the container to be removed does not existxo (optional)
      timeout - number of seconds to wait before killing container when force removing (optional, default to 10)
      v - delete volumes (optional)
      _callback - Callback for upload/download progress
      Returns:
      Call to execute
      Throws:
      ApiException - If fail to serialize the request body object
      Http Response Details
      Status Code Description Response Headers
      200 Remove Containers -
      204 no error -
      400 Bad parameter in request -
      404 No such container -
      409 Conflict error in operation -
      500 Internal server error -
    • containerDeleteLibpod

      public List<LibpodContainersRmReport> containerDeleteLibpod(String name, Boolean depend, Boolean force, Boolean ignore, Integer timeout, Boolean v) throws ApiException
      Delete container Delete container
      Parameters:
      name - the name or ID of the container (required)
      depend - additionally remove containers that depend on the container to be removed (optional)
      force - force stop container if running (optional)
      ignore - ignore errors when the container to be removed does not existxo (optional)
      timeout - number of seconds to wait before killing container when force removing (optional, default to 10)
      v - delete volumes (optional)
      Returns:
      List<LibpodContainersRmReport>
      Throws:
      ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body
      Http Response Details
      Status Code Description Response Headers
      200 Remove Containers -
      204 no error -
      400 Bad parameter in request -
      404 No such container -
      409 Conflict error in operation -
      500 Internal server error -
    • containerDeleteLibpodWithHttpInfo

      public ApiResponse<List<LibpodContainersRmReport>> containerDeleteLibpodWithHttpInfo(String name, Boolean depend, Boolean force, Boolean ignore, Integer timeout, Boolean v) throws ApiException
      Delete container Delete container
      Parameters:
      name - the name or ID of the container (required)
      depend - additionally remove containers that depend on the container to be removed (optional)
      force - force stop container if running (optional)
      ignore - ignore errors when the container to be removed does not existxo (optional)
      timeout - number of seconds to wait before killing container when force removing (optional, default to 10)
      v - delete volumes (optional)
      Returns:
      ApiResponse<List<LibpodContainersRmReport>>
      Throws:
      ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body
      Http Response Details
      Status Code Description Response Headers
      200 Remove Containers -
      204 no error -
      400 Bad parameter in request -
      404 No such container -
      409 Conflict error in operation -
      500 Internal server error -
    • containerDeleteLibpodAsync

      public okhttp3.Call containerDeleteLibpodAsync(String name, Boolean depend, Boolean force, Boolean ignore, Integer timeout, Boolean v, ApiCallback<List<LibpodContainersRmReport>> _callback) throws ApiException
      Delete container (asynchronously) Delete container
      Parameters:
      name - the name or ID of the container (required)
      depend - additionally remove containers that depend on the container to be removed (optional)
      force - force stop container if running (optional)
      ignore - ignore errors when the container to be removed does not existxo (optional)
      timeout - number of seconds to wait before killing container when force removing (optional, default to 10)
      v - delete volumes (optional)
      _callback - The callback to be executed when the API call finishes
      Returns:
      The request call
      Throws:
      ApiException - If fail to process the API call, e.g. serializing the request body object
      Http Response Details
      Status Code Description Response Headers
      200 Remove Containers -
      204 no error -
      400 Bad parameter in request -
      404 No such container -
      409 Conflict error in operation -
      500 Internal server error -
    • containerExistsLibpodCall

      public okhttp3.Call containerExistsLibpodCall(String name, ApiCallback _callback) throws ApiException
      Build call for containerExistsLibpod
      Parameters:
      name - the name or ID of the container (required)
      _callback - Callback for upload/download progress
      Returns:
      Call to execute
      Throws:
      ApiException - If fail to serialize the request body object
      Http Response Details
      Status Code Description Response Headers
      204 container exists -
      404 No such container -
      500 Internal server error -
    • containerExistsLibpod

      public void containerExistsLibpod(String name) throws ApiException
      Check if container exists Quick way to determine if a container exists by name or ID
      Parameters:
      name - the name or ID of the container (required)
      Throws:
      ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body
      Http Response Details
      Status Code Description Response Headers
      204 container exists -
      404 No such container -
      500 Internal server error -
    • containerExistsLibpodWithHttpInfo

      public ApiResponse<Void> containerExistsLibpodWithHttpInfo(String name) throws ApiException
      Check if container exists Quick way to determine if a container exists by name or ID
      Parameters:
      name - the name or ID of the container (required)
      Returns:
      ApiResponse<Void>
      Throws:
      ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body
      Http Response Details
      Status Code Description Response Headers
      204 container exists -
      404 No such container -
      500 Internal server error -
    • containerExistsLibpodAsync

      public okhttp3.Call containerExistsLibpodAsync(String name, ApiCallback<Void> _callback) throws ApiException
      Check if container exists (asynchronously) Quick way to determine if a container exists by name or ID
      Parameters:
      name - the name or ID of the container (required)
      _callback - The callback to be executed when the API call finishes
      Returns:
      The request call
      Throws:
      ApiException - If fail to process the API call, e.g. serializing the request body object
      Http Response Details
      Status Code Description Response Headers
      204 container exists -
      404 No such container -
      500 Internal server error -
    • containerExportLibpodCall

      public okhttp3.Call containerExportLibpodCall(String name, ApiCallback _callback) throws ApiException
      Build call for containerExportLibpod
      Parameters:
      name - the name or ID of the container (required)
      _callback - Callback for upload/download progress
      Returns:
      Call to execute
      Throws:
      ApiException - If fail to serialize the request body object
      Http Response Details
      Status Code Description Response Headers
      200 tarball is returned in body -
      404 No such container -
      500 Internal server error -
    • containerExportLibpod

      public void containerExportLibpod(String name) throws ApiException
      Export a container Export the contents of a container as a tarball.
      Parameters:
      name - the name or ID of the container (required)
      Throws:
      ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body
      Http Response Details
      Status Code Description Response Headers
      200 tarball is returned in body -
      404 No such container -
      500 Internal server error -
    • containerExportLibpodWithHttpInfo

      public ApiResponse<Void> containerExportLibpodWithHttpInfo(String name) throws ApiException
      Export a container Export the contents of a container as a tarball.
      Parameters:
      name - the name or ID of the container (required)
      Returns:
      ApiResponse<Void>
      Throws:
      ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body
      Http Response Details
      Status Code Description Response Headers
      200 tarball is returned in body -
      404 No such container -
      500 Internal server error -
    • containerExportLibpodAsync

      public okhttp3.Call containerExportLibpodAsync(String name, ApiCallback<Void> _callback) throws ApiException
      Export a container (asynchronously) Export the contents of a container as a tarball.
      Parameters:
      name - the name or ID of the container (required)
      _callback - The callback to be executed when the API call finishes
      Returns:
      The request call
      Throws:
      ApiException - If fail to process the API call, e.g. serializing the request body object
      Http Response Details
      Status Code Description Response Headers
      200 tarball is returned in body -
      404 No such container -
      500 Internal server error -
    • containerHealthcheckLibpodCall

      public okhttp3.Call containerHealthcheckLibpodCall(String name, ApiCallback _callback) throws ApiException
      Build call for containerHealthcheckLibpod
      Parameters:
      name - the name or ID of the container (required)
      _callback - Callback for upload/download progress
      Returns:
      Call to execute
      Throws:
      ApiException - If fail to serialize the request body object
      Http Response Details
      Status Code Description Response Headers
      200 Healthcheck Results -
      404 No such container -
      409 container has no healthcheck or is not running -
      500 Internal server error -
    • containerHealthcheckLibpod

      public HealthCheckResults containerHealthcheckLibpod(String name) throws ApiException
      Run a container's healthcheck Execute the defined healthcheck and return information about the results
      Parameters:
      name - the name or ID of the container (required)
      Returns:
      HealthCheckResults
      Throws:
      ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body
      Http Response Details
      Status Code Description Response Headers
      200 Healthcheck Results -
      404 No such container -
      409 container has no healthcheck or is not running -
      500 Internal server error -
    • containerHealthcheckLibpodWithHttpInfo

      public ApiResponse<HealthCheckResults> containerHealthcheckLibpodWithHttpInfo(String name) throws ApiException
      Run a container's healthcheck Execute the defined healthcheck and return information about the results
      Parameters:
      name - the name or ID of the container (required)
      Returns:
      ApiResponse<HealthCheckResults>
      Throws:
      ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body
      Http Response Details
      Status Code Description Response Headers
      200 Healthcheck Results -
      404 No such container -
      409 container has no healthcheck or is not running -
      500 Internal server error -
    • containerHealthcheckLibpodAsync

      public okhttp3.Call containerHealthcheckLibpodAsync(String name, ApiCallback<HealthCheckResults> _callback) throws ApiException
      Run a container's healthcheck (asynchronously) Execute the defined healthcheck and return information about the results
      Parameters:
      name - the name or ID of the container (required)
      _callback - The callback to be executed when the API call finishes
      Returns:
      The request call
      Throws:
      ApiException - If fail to process the API call, e.g. serializing the request body object
      Http Response Details
      Status Code Description Response Headers
      200 Healthcheck Results -
      404 No such container -
      409 container has no healthcheck or is not running -
      500 Internal server error -
    • containerInitLibpodCall

      public okhttp3.Call containerInitLibpodCall(String name, ApiCallback _callback) throws ApiException
      Build call for containerInitLibpod
      Parameters:
      name - the name or ID of the container (required)
      _callback - Callback for upload/download progress
      Returns:
      Call to execute
      Throws:
      ApiException - If fail to serialize the request body object
      Http Response Details
      Status Code Description Response Headers
      204 no error -
      304 container already initialized -
      404 No such container -
      500 Internal server error -
    • containerInitLibpod

      public void containerInitLibpod(String name) throws ApiException
      Initialize a container Performs all tasks necessary for initializing the container but does not start the container.
      Parameters:
      name - the name or ID of the container (required)
      Throws:
      ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body
      Http Response Details
      Status Code Description Response Headers
      204 no error -
      304 container already initialized -
      404 No such container -
      500 Internal server error -
    • containerInitLibpodWithHttpInfo

      public ApiResponse<Void> containerInitLibpodWithHttpInfo(String name) throws ApiException
      Initialize a container Performs all tasks necessary for initializing the container but does not start the container.
      Parameters:
      name - the name or ID of the container (required)
      Returns:
      ApiResponse<Void>
      Throws:
      ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body
      Http Response Details
      Status Code Description Response Headers
      204 no error -
      304 container already initialized -
      404 No such container -
      500 Internal server error -
    • containerInitLibpodAsync

      public okhttp3.Call containerInitLibpodAsync(String name, ApiCallback<Void> _callback) throws ApiException
      Initialize a container (asynchronously) Performs all tasks necessary for initializing the container but does not start the container.
      Parameters:
      name - the name or ID of the container (required)
      _callback - The callback to be executed when the API call finishes
      Returns:
      The request call
      Throws:
      ApiException - If fail to process the API call, e.g. serializing the request body object
      Http Response Details
      Status Code Description Response Headers
      204 no error -
      304 container already initialized -
      404 No such container -
      500 Internal server error -
    • containerInspectLibpodCall

      public okhttp3.Call containerInspectLibpodCall(String name, Boolean size, ApiCallback _callback) throws ApiException
      Build call for containerInspectLibpod
      Parameters:
      name - the name or ID of the container (required)
      size - display filesystem usage (optional)
      _callback - Callback for upload/download progress
      Returns:
      Call to execute
      Throws:
      ApiException - If fail to serialize the request body object
      Http Response Details
      Status Code Description Response Headers
      200 Inspect container -
      404 No such container -
      500 Internal server error -
    • containerInspectLibpod

      public InspectContainerData containerInspectLibpod(String name, Boolean size) throws ApiException
      Inspect container Return low-level information about a container.
      Parameters:
      name - the name or ID of the container (required)
      size - display filesystem usage (optional)
      Returns:
      InspectContainerData
      Throws:
      ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body
      Http Response Details
      Status Code Description Response Headers
      200 Inspect container -
      404 No such container -
      500 Internal server error -
    • containerInspectLibpodWithHttpInfo

      public ApiResponse<InspectContainerData> containerInspectLibpodWithHttpInfo(String name, Boolean size) throws ApiException
      Inspect container Return low-level information about a container.
      Parameters:
      name - the name or ID of the container (required)
      size - display filesystem usage (optional)
      Returns:
      ApiResponse<InspectContainerData>
      Throws:
      ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body
      Http Response Details
      Status Code Description Response Headers
      200 Inspect container -
      404 No such container -
      500 Internal server error -
    • containerInspectLibpodAsync

      public okhttp3.Call containerInspectLibpodAsync(String name, Boolean size, ApiCallback<InspectContainerData> _callback) throws ApiException
      Inspect container (asynchronously) Return low-level information about a container.
      Parameters:
      name - the name or ID of the container (required)
      size - display filesystem usage (optional)
      _callback - The callback to be executed when the API call finishes
      Returns:
      The request call
      Throws:
      ApiException - If fail to process the API call, e.g. serializing the request body object
      Http Response Details
      Status Code Description Response Headers
      200 Inspect container -
      404 No such container -
      500 Internal server error -
    • containerKillLibpodCall

      public okhttp3.Call containerKillLibpodCall(String name, String signal, ApiCallback _callback) throws ApiException
      Build call for containerKillLibpod
      Parameters:
      name - the name or ID of the container (required)
      signal - signal to be sent to container, either by integer or SIG_ name (optional, default to SIGKILL)
      _callback - Callback for upload/download progress
      Returns:
      Call to execute
      Throws:
      ApiException - If fail to serialize the request body object
      Http Response Details
      Status Code Description Response Headers
      204 no error -
      404 No such container -
      409 Conflict error in operation -
      500 Internal server error -
    • containerKillLibpod

      public void containerKillLibpod(String name, String signal) throws ApiException
      Kill container send a signal to a container, defaults to killing the container
      Parameters:
      name - the name or ID of the container (required)
      signal - signal to be sent to container, either by integer or SIG_ name (optional, default to SIGKILL)
      Throws:
      ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body
      Http Response Details
      Status Code Description Response Headers
      204 no error -
      404 No such container -
      409 Conflict error in operation -
      500 Internal server error -
    • containerKillLibpodWithHttpInfo

      public ApiResponse<Void> containerKillLibpodWithHttpInfo(String name, String signal) throws ApiException
      Kill container send a signal to a container, defaults to killing the container
      Parameters:
      name - the name or ID of the container (required)
      signal - signal to be sent to container, either by integer or SIG_ name (optional, default to SIGKILL)
      Returns:
      ApiResponse<Void>
      Throws:
      ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body
      Http Response Details
      Status Code Description Response Headers
      204 no error -
      404 No such container -
      409 Conflict error in operation -
      500 Internal server error -
    • containerKillLibpodAsync

      public okhttp3.Call containerKillLibpodAsync(String name, String signal, ApiCallback<Void> _callback) throws ApiException
      Kill container (asynchronously) send a signal to a container, defaults to killing the container
      Parameters:
      name - the name or ID of the container (required)
      signal - signal to be sent to container, either by integer or SIG_ name (optional, default to SIGKILL)
      _callback - The callback to be executed when the API call finishes
      Returns:
      The request call
      Throws:
      ApiException - If fail to process the API call, e.g. serializing the request body object
      Http Response Details
      Status Code Description Response Headers
      204 no error -
      404 No such container -
      409 Conflict error in operation -
      500 Internal server error -
    • containerListLibpodCall

      public okhttp3.Call containerListLibpodCall(Boolean all, Integer limit, Boolean namespace, Boolean pod, Boolean size, Boolean sync, String filters, ApiCallback _callback) throws ApiException
      Build call for containerListLibpod
      Parameters:
      all - Return all containers. By default, only running containers are shown (optional, default to false)
      limit - Return this number of most recently created containers, including non-running ones. (optional)
      namespace - Include namespace information (optional, default to false)
      pod - Ignored. Previously included details on pod name and ID that are currently included by default. (optional, default to false)
      size - Return the size of container as fields SizeRw and SizeRootFs. (optional, default to false)
      sync - Sync container state with OCI runtime (optional, default to false)
      filters - A JSON encoded value of the filters (a `map[string][]string`) to process on the containers list. Available filters: - `ancestor`=(`<image-name>[:<tag>]`, `<image id>`, or `<image@digest>`) - `before`=(`<container id>` or `<container name>`) - `expose`=(`<port>[/<proto>]` or `<startport-endport>/[<proto>]`) - `exited=<int>` containers with exit code of `<int>` - `health`=(`starting`, `healthy`, `unhealthy` or `none`) - `id=<ID>` a container's ID - `is-task`=(`true` or `false`) - `label`=(`key` or `\"key=value\"`) of a container label - `name=<name>` a container's name - `network`=(`<network id>` or `<network name>`) - `pod`=(`<pod id>` or `<pod name>`) - `publish`=(`<port>[/<proto>]` or `<startport-endport>/[<proto>]`) - `since`=(`<container id>` or `<container name>`) - `status`=(`created`, `restarting`, `running`, `removing`, `paused`, `exited` or `dead`) - `volume`=(`<volume name>` or `<mount point destination>`) (optional)
      _callback - Callback for upload/download progress
      Returns:
      Call to execute
      Throws:
      ApiException - If fail to serialize the request body object
      Http Response Details
      Status Code Description Response Headers
      200 List Containers -
      400 Bad parameter in request -
      500 Internal server error -
    • containerListLibpod

      public List<ListContainer> containerListLibpod(Boolean all, Integer limit, Boolean namespace, Boolean pod, Boolean size, Boolean sync, String filters) throws ApiException
      List containers Returns a list of containers
      Parameters:
      all - Return all containers. By default, only running containers are shown (optional, default to false)
      limit - Return this number of most recently created containers, including non-running ones. (optional)
      namespace - Include namespace information (optional, default to false)
      pod - Ignored. Previously included details on pod name and ID that are currently included by default. (optional, default to false)
      size - Return the size of container as fields SizeRw and SizeRootFs. (optional, default to false)
      sync - Sync container state with OCI runtime (optional, default to false)
      filters - A JSON encoded value of the filters (a `map[string][]string`) to process on the containers list. Available filters: - `ancestor`=(`<image-name>[:<tag>]`, `<image id>`, or `<image@digest>`) - `before`=(`<container id>` or `<container name>`) - `expose`=(`<port>[/<proto>]` or `<startport-endport>/[<proto>]`) - `exited=<int>` containers with exit code of `<int>` - `health`=(`starting`, `healthy`, `unhealthy` or `none`) - `id=<ID>` a container's ID - `is-task`=(`true` or `false`) - `label`=(`key` or `\"key=value\"`) of a container label - `name=<name>` a container's name - `network`=(`<network id>` or `<network name>`) - `pod`=(`<pod id>` or `<pod name>`) - `publish`=(`<port>[/<proto>]` or `<startport-endport>/[<proto>]`) - `since`=(`<container id>` or `<container name>`) - `status`=(`created`, `restarting`, `running`, `removing`, `paused`, `exited` or `dead`) - `volume`=(`<volume name>` or `<mount point destination>`) (optional)
      Returns:
      List<ListContainer>
      Throws:
      ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body
      Http Response Details
      Status Code Description Response Headers
      200 List Containers -
      400 Bad parameter in request -
      500 Internal server error -
    • containerListLibpodWithHttpInfo

      public ApiResponse<List<ListContainer>> containerListLibpodWithHttpInfo(Boolean all, Integer limit, Boolean namespace, Boolean pod, Boolean size, Boolean sync, String filters) throws ApiException
      List containers Returns a list of containers
      Parameters:
      all - Return all containers. By default, only running containers are shown (optional, default to false)
      limit - Return this number of most recently created containers, including non-running ones. (optional)
      namespace - Include namespace information (optional, default to false)
      pod - Ignored. Previously included details on pod name and ID that are currently included by default. (optional, default to false)
      size - Return the size of container as fields SizeRw and SizeRootFs. (optional, default to false)
      sync - Sync container state with OCI runtime (optional, default to false)
      filters - A JSON encoded value of the filters (a `map[string][]string`) to process on the containers list. Available filters: - `ancestor`=(`<image-name>[:<tag>]`, `<image id>`, or `<image@digest>`) - `before`=(`<container id>` or `<container name>`) - `expose`=(`<port>[/<proto>]` or `<startport-endport>/[<proto>]`) - `exited=<int>` containers with exit code of `<int>` - `health`=(`starting`, `healthy`, `unhealthy` or `none`) - `id=<ID>` a container's ID - `is-task`=(`true` or `false`) - `label`=(`key` or `\"key=value\"`) of a container label - `name=<name>` a container's name - `network`=(`<network id>` or `<network name>`) - `pod`=(`<pod id>` or `<pod name>`) - `publish`=(`<port>[/<proto>]` or `<startport-endport>/[<proto>]`) - `since`=(`<container id>` or `<container name>`) - `status`=(`created`, `restarting`, `running`, `removing`, `paused`, `exited` or `dead`) - `volume`=(`<volume name>` or `<mount point destination>`) (optional)
      Returns:
      ApiResponse<List<ListContainer>>
      Throws:
      ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body
      Http Response Details
      Status Code Description Response Headers
      200 List Containers -
      400 Bad parameter in request -
      500 Internal server error -
    • containerListLibpodAsync

      public okhttp3.Call containerListLibpodAsync(Boolean all, Integer limit, Boolean namespace, Boolean pod, Boolean size, Boolean sync, String filters, ApiCallback<List<ListContainer>> _callback) throws ApiException
      List containers (asynchronously) Returns a list of containers
      Parameters:
      all - Return all containers. By default, only running containers are shown (optional, default to false)
      limit - Return this number of most recently created containers, including non-running ones. (optional)
      namespace - Include namespace information (optional, default to false)
      pod - Ignored. Previously included details on pod name and ID that are currently included by default. (optional, default to false)
      size - Return the size of container as fields SizeRw and SizeRootFs. (optional, default to false)
      sync - Sync container state with OCI runtime (optional, default to false)
      filters - A JSON encoded value of the filters (a `map[string][]string`) to process on the containers list. Available filters: - `ancestor`=(`<image-name>[:<tag>]`, `<image id>`, or `<image@digest>`) - `before`=(`<container id>` or `<container name>`) - `expose`=(`<port>[/<proto>]` or `<startport-endport>/[<proto>]`) - `exited=<int>` containers with exit code of `<int>` - `health`=(`starting`, `healthy`, `unhealthy` or `none`) - `id=<ID>` a container's ID - `is-task`=(`true` or `false`) - `label`=(`key` or `\"key=value\"`) of a container label - `name=<name>` a container's name - `network`=(`<network id>` or `<network name>`) - `pod`=(`<pod id>` or `<pod name>`) - `publish`=(`<port>[/<proto>]` or `<startport-endport>/[<proto>]`) - `since`=(`<container id>` or `<container name>`) - `status`=(`created`, `restarting`, `running`, `removing`, `paused`, `exited` or `dead`) - `volume`=(`<volume name>` or `<mount point destination>`) (optional)
      _callback - The callback to be executed when the API call finishes
      Returns:
      The request call
      Throws:
      ApiException - If fail to process the API call, e.g. serializing the request body object
      Http Response Details
      Status Code Description Response Headers
      200 List Containers -
      400 Bad parameter in request -
      500 Internal server error -
    • containerLogsLibpodCall

      public okhttp3.Call containerLogsLibpodCall(String name, Boolean follow, Boolean stdout, Boolean stderr, String since, String until, Boolean timestamps, String tail, ApiCallback _callback) throws ApiException
      Build call for containerLogsLibpod
      Parameters:
      name - the name or ID of the container (required)
      follow - Keep connection after returning logs. (optional)
      stdout - Return logs from stdout (optional)
      stderr - Return logs from stderr (optional)
      since - Only return logs since this time, as a UNIX timestamp (optional)
      until - Only return logs before this time, as a UNIX timestamp (optional)
      timestamps - Add timestamps to every log line (optional, default to false)
      tail - Only return this number of log lines from the end of the logs (optional, default to all)
      _callback - Callback for upload/download progress
      Returns:
      Call to execute
      Throws:
      ApiException - If fail to serialize the request body object
      Http Response Details
      Status Code Description Response Headers
      200 logs returned as a stream in response body. -
      404 No such container -
      500 Internal server error -
    • containerLogsLibpod

      public void containerLogsLibpod(String name, Boolean follow, Boolean stdout, Boolean stderr, String since, String until, Boolean timestamps, String tail) throws ApiException
      Get container logs Get stdout and stderr logs from a container. The stream format is the same as described in the attach endpoint.
      Parameters:
      name - the name or ID of the container (required)
      follow - Keep connection after returning logs. (optional)
      stdout - Return logs from stdout (optional)
      stderr - Return logs from stderr (optional)
      since - Only return logs since this time, as a UNIX timestamp (optional)
      until - Only return logs before this time, as a UNIX timestamp (optional)
      timestamps - Add timestamps to every log line (optional, default to false)
      tail - Only return this number of log lines from the end of the logs (optional, default to all)
      Throws:
      ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body
      Http Response Details
      Status Code Description Response Headers
      200 logs returned as a stream in response body. -
      404 No such container -
      500 Internal server error -
    • containerLogsLibpodWithHttpInfo

      public ApiResponse<Void> containerLogsLibpodWithHttpInfo(String name, Boolean follow, Boolean stdout, Boolean stderr, String since, String until, Boolean timestamps, String tail) throws ApiException
      Get container logs Get stdout and stderr logs from a container. The stream format is the same as described in the attach endpoint.
      Parameters:
      name - the name or ID of the container (required)
      follow - Keep connection after returning logs. (optional)
      stdout - Return logs from stdout (optional)
      stderr - Return logs from stderr (optional)
      since - Only return logs since this time, as a UNIX timestamp (optional)
      until - Only return logs before this time, as a UNIX timestamp (optional)
      timestamps - Add timestamps to every log line (optional, default to false)
      tail - Only return this number of log lines from the end of the logs (optional, default to all)
      Returns:
      ApiResponse<Void>
      Throws:
      ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body
      Http Response Details
      Status Code Description Response Headers
      200 logs returned as a stream in response body. -
      404 No such container -
      500 Internal server error -
    • containerLogsLibpodAsync

      public okhttp3.Call containerLogsLibpodAsync(String name, Boolean follow, Boolean stdout, Boolean stderr, String since, String until, Boolean timestamps, String tail, ApiCallback<Void> _callback) throws ApiException
      Get container logs (asynchronously) Get stdout and stderr logs from a container. The stream format is the same as described in the attach endpoint.
      Parameters:
      name - the name or ID of the container (required)
      follow - Keep connection after returning logs. (optional)
      stdout - Return logs from stdout (optional)
      stderr - Return logs from stderr (optional)
      since - Only return logs since this time, as a UNIX timestamp (optional)
      until - Only return logs before this time, as a UNIX timestamp (optional)
      timestamps - Add timestamps to every log line (optional, default to false)
      tail - Only return this number of log lines from the end of the logs (optional, default to all)
      _callback - The callback to be executed when the API call finishes
      Returns:
      The request call
      Throws:
      ApiException - If fail to process the API call, e.g. serializing the request body object
      Http Response Details
      Status Code Description Response Headers
      200 logs returned as a stream in response body. -
      404 No such container -
      500 Internal server error -
    • containerMountLibpodCall

      public okhttp3.Call containerMountLibpodCall(String name, ApiCallback _callback) throws ApiException
      Build call for containerMountLibpod
      Parameters:
      name - the name or ID of the container (required)
      _callback - Callback for upload/download progress
      Returns:
      Call to execute
      Throws:
      ApiException - If fail to serialize the request body object
      Http Response Details
      Status Code Description Response Headers
      200 mounted container -
      404 No such container -
      500 Internal server error -
    • containerMountLibpod

      public String containerMountLibpod(String name) throws ApiException
      Mount a container Mount a container to the filesystem
      Parameters:
      name - the name or ID of the container (required)
      Returns:
      String
      Throws:
      ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body
      Http Response Details
      Status Code Description Response Headers
      200 mounted container -
      404 No such container -
      500 Internal server error -
    • containerMountLibpodWithHttpInfo

      public ApiResponse<String> containerMountLibpodWithHttpInfo(String name) throws ApiException
      Mount a container Mount a container to the filesystem
      Parameters:
      name - the name or ID of the container (required)
      Returns:
      ApiResponse<String>
      Throws:
      ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body
      Http Response Details
      Status Code Description Response Headers
      200 mounted container -
      404 No such container -
      500 Internal server error -
    • containerMountLibpodAsync

      public okhttp3.Call containerMountLibpodAsync(String name, ApiCallback<String> _callback) throws ApiException
      Mount a container (asynchronously) Mount a container to the filesystem
      Parameters:
      name - the name or ID of the container (required)
      _callback - The callback to be executed when the API call finishes
      Returns:
      The request call
      Throws:
      ApiException - If fail to process the API call, e.g. serializing the request body object
      Http Response Details
      Status Code Description Response Headers
      200 mounted container -
      404 No such container -
      500 Internal server error -
    • containerPauseLibpodCall

      public okhttp3.Call containerPauseLibpodCall(String name, ApiCallback _callback) throws ApiException
      Build call for containerPauseLibpod
      Parameters:
      name - the name or ID of the container (required)
      _callback - Callback for upload/download progress
      Returns:
      Call to execute
      Throws:
      ApiException - If fail to serialize the request body object
      Http Response Details
      Status Code Description Response Headers
      204 no error -
      404 No such container -
      500 Internal server error -
    • containerPauseLibpod

      public void containerPauseLibpod(String name) throws ApiException
      Pause a container Use the cgroups freezer to suspend all processes in a container.
      Parameters:
      name - the name or ID of the container (required)
      Throws:
      ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body
      Http Response Details
      Status Code Description Response Headers
      204 no error -
      404 No such container -
      500 Internal server error -
    • containerPauseLibpodWithHttpInfo

      public ApiResponse<Void> containerPauseLibpodWithHttpInfo(String name) throws ApiException
      Pause a container Use the cgroups freezer to suspend all processes in a container.
      Parameters:
      name - the name or ID of the container (required)
      Returns:
      ApiResponse<Void>
      Throws:
      ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body
      Http Response Details
      Status Code Description Response Headers
      204 no error -
      404 No such container -
      500 Internal server error -
    • containerPauseLibpodAsync

      public okhttp3.Call containerPauseLibpodAsync(String name, ApiCallback<Void> _callback) throws ApiException
      Pause a container (asynchronously) Use the cgroups freezer to suspend all processes in a container.
      Parameters:
      name - the name or ID of the container (required)
      _callback - The callback to be executed when the API call finishes
      Returns:
      The request call
      Throws:
      ApiException - If fail to process the API call, e.g. serializing the request body object
      Http Response Details
      Status Code Description Response Headers
      204 no error -
      404 No such container -
      500 Internal server error -
    • containerPruneLibpodCall

      public okhttp3.Call containerPruneLibpodCall(String filters, ApiCallback _callback) throws ApiException
      Build call for containerPruneLibpod
      Parameters:
      filters - Filters to process on the prune list, encoded as JSON (a `map[string][]string`). Available filters: - `until=<timestamp>` Prune containers created before this timestamp. The `<timestamp>` can be Unix timestamps, date formatted timestamps, or Go duration strings (e.g. `10m`, `1h30m`) computed relative to the daemon machine’s time. - `label` (`label=<key>`, `label=<key>=<value>`, `label!=<key>`, or `label!=<key>=<value>`) Prune containers with (or without, in case `label!=...` is used) the specified labels. (optional)
      _callback - Callback for upload/download progress
      Returns:
      Call to execute
      Throws:
      ApiException - If fail to serialize the request body object
      Http Response Details
      Status Code Description Response Headers
      200 Prune Containers -
      500 Internal server error -
    • containerPruneLibpod

      public List<ContainersPruneReportLibpod> containerPruneLibpod(String filters) throws ApiException
      Delete stopped containers Remove containers not in use
      Parameters:
      filters - Filters to process on the prune list, encoded as JSON (a `map[string][]string`). Available filters: - `until=<timestamp>` Prune containers created before this timestamp. The `<timestamp>` can be Unix timestamps, date formatted timestamps, or Go duration strings (e.g. `10m`, `1h30m`) computed relative to the daemon machine’s time. - `label` (`label=<key>`, `label=<key>=<value>`, `label!=<key>`, or `label!=<key>=<value>`) Prune containers with (or without, in case `label!=...` is used) the specified labels. (optional)
      Returns:
      List<ContainersPruneReportLibpod>
      Throws:
      ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body
      Http Response Details
      Status Code Description Response Headers
      200 Prune Containers -
      500 Internal server error -
    • containerPruneLibpodWithHttpInfo

      public ApiResponse<List<ContainersPruneReportLibpod>> containerPruneLibpodWithHttpInfo(String filters) throws ApiException
      Delete stopped containers Remove containers not in use
      Parameters:
      filters - Filters to process on the prune list, encoded as JSON (a `map[string][]string`). Available filters: - `until=<timestamp>` Prune containers created before this timestamp. The `<timestamp>` can be Unix timestamps, date formatted timestamps, or Go duration strings (e.g. `10m`, `1h30m`) computed relative to the daemon machine’s time. - `label` (`label=<key>`, `label=<key>=<value>`, `label!=<key>`, or `label!=<key>=<value>`) Prune containers with (or without, in case `label!=...` is used) the specified labels. (optional)
      Returns:
      ApiResponse<List<ContainersPruneReportLibpod>>
      Throws:
      ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body
      Http Response Details
      Status Code Description Response Headers
      200 Prune Containers -
      500 Internal server error -
    • containerPruneLibpodAsync

      public okhttp3.Call containerPruneLibpodAsync(String filters, ApiCallback<List<ContainersPruneReportLibpod>> _callback) throws ApiException
      Delete stopped containers (asynchronously) Remove containers not in use
      Parameters:
      filters - Filters to process on the prune list, encoded as JSON (a `map[string][]string`). Available filters: - `until=<timestamp>` Prune containers created before this timestamp. The `<timestamp>` can be Unix timestamps, date formatted timestamps, or Go duration strings (e.g. `10m`, `1h30m`) computed relative to the daemon machine’s time. - `label` (`label=<key>`, `label=<key>=<value>`, `label!=<key>`, or `label!=<key>=<value>`) Prune containers with (or without, in case `label!=...` is used) the specified labels. (optional)
      _callback - The callback to be executed when the API call finishes
      Returns:
      The request call
      Throws:
      ApiException - If fail to process the API call, e.g. serializing the request body object
      Http Response Details
      Status Code Description Response Headers
      200 Prune Containers -
      500 Internal server error -
    • containerRenameLibpodCall

      public okhttp3.Call containerRenameLibpodCall(String name, String name2, ApiCallback _callback) throws ApiException
      Build call for containerRenameLibpod
      Parameters:
      name - Full or partial ID or full name of the container to rename (required)
      name2 - New name for the container (required)
      _callback - Callback for upload/download progress
      Returns:
      Call to execute
      Throws:
      ApiException - If fail to serialize the request body object
      Http Response Details
      Status Code Description Response Headers
      204 no error -
      404 No such container -
      409 Conflict error in operation -
      500 Internal server error -
    • containerRenameLibpod

      public void containerRenameLibpod(String name, String name2) throws ApiException
      Rename an existing container Change the name of an existing container.
      Parameters:
      name - Full or partial ID or full name of the container to rename (required)
      name2 - New name for the container (required)
      Throws:
      ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body
      Http Response Details
      Status Code Description Response Headers
      204 no error -
      404 No such container -
      409 Conflict error in operation -
      500 Internal server error -
    • containerRenameLibpodWithHttpInfo

      public ApiResponse<Void> containerRenameLibpodWithHttpInfo(String name, String name2) throws ApiException
      Rename an existing container Change the name of an existing container.
      Parameters:
      name - Full or partial ID or full name of the container to rename (required)
      name2 - New name for the container (required)
      Returns:
      ApiResponse<Void>
      Throws:
      ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body
      Http Response Details
      Status Code Description Response Headers
      204 no error -
      404 No such container -
      409 Conflict error in operation -
      500 Internal server error -
    • containerRenameLibpodAsync

      public okhttp3.Call containerRenameLibpodAsync(String name, String name2, ApiCallback<Void> _callback) throws ApiException
      Rename an existing container (asynchronously) Change the name of an existing container.
      Parameters:
      name - Full or partial ID or full name of the container to rename (required)
      name2 - New name for the container (required)
      _callback - The callback to be executed when the API call finishes
      Returns:
      The request call
      Throws:
      ApiException - If fail to process the API call, e.g. serializing the request body object
      Http Response Details
      Status Code Description Response Headers
      204 no error -
      404 No such container -
      409 Conflict error in operation -
      500 Internal server error -
    • containerResizeLibpodCall

      public okhttp3.Call containerResizeLibpodCall(String name, Integer h, Integer w, ApiCallback _callback) throws ApiException
      Build call for containerResizeLibpod
      Parameters:
      name - the name or ID of the container (required)
      h - Height to set for the terminal, in characters (optional)
      w - Width to set for the terminal, in characters (optional)
      _callback - Callback for upload/download progress
      Returns:
      Call to execute
      Throws:
      ApiException - If fail to serialize the request body object
      Http Response Details
      Status Code Description Response Headers
      200 Success -
      404 No such container -
      409 Conflict error in operation -
      500 Internal server error -
    • containerResizeLibpod

      public Object containerResizeLibpod(String name, Integer h, Integer w) throws ApiException
      Resize a container's TTY Resize the terminal attached to a container (for use with Attach).
      Parameters:
      name - the name or ID of the container (required)
      h - Height to set for the terminal, in characters (optional)
      w - Width to set for the terminal, in characters (optional)
      Returns:
      Object
      Throws:
      ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body
      Http Response Details
      Status Code Description Response Headers
      200 Success -
      404 No such container -
      409 Conflict error in operation -
      500 Internal server error -
    • containerResizeLibpodWithHttpInfo

      public ApiResponse<Object> containerResizeLibpodWithHttpInfo(String name, Integer h, Integer w) throws ApiException
      Resize a container's TTY Resize the terminal attached to a container (for use with Attach).
      Parameters:
      name - the name or ID of the container (required)
      h - Height to set for the terminal, in characters (optional)
      w - Width to set for the terminal, in characters (optional)
      Returns:
      ApiResponse<Object>
      Throws:
      ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body
      Http Response Details
      Status Code Description Response Headers
      200 Success -
      404 No such container -
      409 Conflict error in operation -
      500 Internal server error -
    • containerResizeLibpodAsync

      public okhttp3.Call containerResizeLibpodAsync(String name, Integer h, Integer w, ApiCallback<Object> _callback) throws ApiException
      Resize a container's TTY (asynchronously) Resize the terminal attached to a container (for use with Attach).
      Parameters:
      name - the name or ID of the container (required)
      h - Height to set for the terminal, in characters (optional)
      w - Width to set for the terminal, in characters (optional)
      _callback - The callback to be executed when the API call finishes
      Returns:
      The request call
      Throws:
      ApiException - If fail to process the API call, e.g. serializing the request body object
      Http Response Details
      Status Code Description Response Headers
      200 Success -
      404 No such container -
      409 Conflict error in operation -
      500 Internal server error -
    • containerRestartLibpodCall

      public okhttp3.Call containerRestartLibpodCall(String name, Integer t, ApiCallback _callback) throws ApiException
      Build call for containerRestartLibpod
      Parameters:
      name - the name or ID of the container (required)
      t - number of seconds to wait before killing container (optional, default to 10)
      _callback - Callback for upload/download progress
      Returns:
      Call to execute
      Throws:
      ApiException - If fail to serialize the request body object
      Http Response Details
      Status Code Description Response Headers
      204 no error -
      404 No such container -
      500 Internal server error -
    • containerRestartLibpod

      public void containerRestartLibpod(String name, Integer t) throws ApiException
      Restart a container
      Parameters:
      name - the name or ID of the container (required)
      t - number of seconds to wait before killing container (optional, default to 10)
      Throws:
      ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body
      Http Response Details
      Status Code Description Response Headers
      204 no error -
      404 No such container -
      500 Internal server error -
    • containerRestartLibpodWithHttpInfo

      public ApiResponse<Void> containerRestartLibpodWithHttpInfo(String name, Integer t) throws ApiException
      Restart a container
      Parameters:
      name - the name or ID of the container (required)
      t - number of seconds to wait before killing container (optional, default to 10)
      Returns:
      ApiResponse<Void>
      Throws:
      ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body
      Http Response Details
      Status Code Description Response Headers
      204 no error -
      404 No such container -
      500 Internal server error -
    • containerRestartLibpodAsync

      public okhttp3.Call containerRestartLibpodAsync(String name, Integer t, ApiCallback<Void> _callback) throws ApiException
      Restart a container (asynchronously)
      Parameters:
      name - the name or ID of the container (required)
      t - number of seconds to wait before killing container (optional, default to 10)
      _callback - The callback to be executed when the API call finishes
      Returns:
      The request call
      Throws:
      ApiException - If fail to process the API call, e.g. serializing the request body object
      Http Response Details
      Status Code Description Response Headers
      204 no error -
      404 No such container -
      500 Internal server error -
    • containerRestoreLibpodCall

      public okhttp3.Call containerRestoreLibpodCall(String name, String name2, Boolean keep, Boolean tcpEstablished, Boolean _import, Boolean ignoreRootFS, Boolean ignoreVolumes, Boolean ignoreStaticIP, Boolean ignoreStaticMAC, Boolean fileLocks, Boolean printStats, String pod, ApiCallback _callback) throws ApiException
      Build call for containerRestoreLibpod
      Parameters:
      name - the name or id of the container (required)
      name2 - the name of the container when restored from a tar. can only be used with import (optional)
      keep - keep all temporary checkpoint files (optional)
      tcpEstablished - checkpoint a container with established TCP connections (optional)
      _import - import the restore from a checkpoint tar.gz (optional)
      ignoreRootFS - do not include root file-system changes when exporting. can only be used with import (optional)
      ignoreVolumes - do not restore associated volumes. can only be used with import (optional)
      ignoreStaticIP - ignore IP address if set statically (optional)
      ignoreStaticMAC - ignore MAC address if set statically (optional)
      fileLocks - restore a container with file locks (optional)
      printStats - add restore statistics to the returned RestoreReport (optional)
      pod - pod to restore into (optional)
      _callback - Callback for upload/download progress
      Returns:
      Call to execute
      Throws:
      ApiException - If fail to serialize the request body object
      Http Response Details
      Status Code Description Response Headers
      200 tarball is returned in body if exported -
      404 No such container -
      500 Internal server error -
    • containerRestoreLibpod

      public void containerRestoreLibpod(String name, String name2, Boolean keep, Boolean tcpEstablished, Boolean _import, Boolean ignoreRootFS, Boolean ignoreVolumes, Boolean ignoreStaticIP, Boolean ignoreStaticMAC, Boolean fileLocks, Boolean printStats, String pod) throws ApiException
      Restore a container Restore a container from a checkpoint.
      Parameters:
      name - the name or id of the container (required)
      name2 - the name of the container when restored from a tar. can only be used with import (optional)
      keep - keep all temporary checkpoint files (optional)
      tcpEstablished - checkpoint a container with established TCP connections (optional)
      _import - import the restore from a checkpoint tar.gz (optional)
      ignoreRootFS - do not include root file-system changes when exporting. can only be used with import (optional)
      ignoreVolumes - do not restore associated volumes. can only be used with import (optional)
      ignoreStaticIP - ignore IP address if set statically (optional)
      ignoreStaticMAC - ignore MAC address if set statically (optional)
      fileLocks - restore a container with file locks (optional)
      printStats - add restore statistics to the returned RestoreReport (optional)
      pod - pod to restore into (optional)
      Throws:
      ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body
      Http Response Details
      Status Code Description Response Headers
      200 tarball is returned in body if exported -
      404 No such container -
      500 Internal server error -
    • containerRestoreLibpodWithHttpInfo

      public ApiResponse<Void> containerRestoreLibpodWithHttpInfo(String name, String name2, Boolean keep, Boolean tcpEstablished, Boolean _import, Boolean ignoreRootFS, Boolean ignoreVolumes, Boolean ignoreStaticIP, Boolean ignoreStaticMAC, Boolean fileLocks, Boolean printStats, String pod) throws ApiException
      Restore a container Restore a container from a checkpoint.
      Parameters:
      name - the name or id of the container (required)
      name2 - the name of the container when restored from a tar. can only be used with import (optional)
      keep - keep all temporary checkpoint files (optional)
      tcpEstablished - checkpoint a container with established TCP connections (optional)
      _import - import the restore from a checkpoint tar.gz (optional)
      ignoreRootFS - do not include root file-system changes when exporting. can only be used with import (optional)
      ignoreVolumes - do not restore associated volumes. can only be used with import (optional)
      ignoreStaticIP - ignore IP address if set statically (optional)
      ignoreStaticMAC - ignore MAC address if set statically (optional)
      fileLocks - restore a container with file locks (optional)
      printStats - add restore statistics to the returned RestoreReport (optional)
      pod - pod to restore into (optional)
      Returns:
      ApiResponse<Void>
      Throws:
      ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body
      Http Response Details
      Status Code Description Response Headers
      200 tarball is returned in body if exported -
      404 No such container -
      500 Internal server error -
    • containerRestoreLibpodAsync

      public okhttp3.Call containerRestoreLibpodAsync(String name, String name2, Boolean keep, Boolean tcpEstablished, Boolean _import, Boolean ignoreRootFS, Boolean ignoreVolumes, Boolean ignoreStaticIP, Boolean ignoreStaticMAC, Boolean fileLocks, Boolean printStats, String pod, ApiCallback<Void> _callback) throws ApiException
      Restore a container (asynchronously) Restore a container from a checkpoint.
      Parameters:
      name - the name or id of the container (required)
      name2 - the name of the container when restored from a tar. can only be used with import (optional)
      keep - keep all temporary checkpoint files (optional)
      tcpEstablished - checkpoint a container with established TCP connections (optional)
      _import - import the restore from a checkpoint tar.gz (optional)
      ignoreRootFS - do not include root file-system changes when exporting. can only be used with import (optional)
      ignoreVolumes - do not restore associated volumes. can only be used with import (optional)
      ignoreStaticIP - ignore IP address if set statically (optional)
      ignoreStaticMAC - ignore MAC address if set statically (optional)
      fileLocks - restore a container with file locks (optional)
      printStats - add restore statistics to the returned RestoreReport (optional)
      pod - pod to restore into (optional)
      _callback - The callback to be executed when the API call finishes
      Returns:
      The request call
      Throws:
      ApiException - If fail to process the API call, e.g. serializing the request body object
      Http Response Details
      Status Code Description Response Headers
      200 tarball is returned in body if exported -
      404 No such container -
      500 Internal server error -
    • containerShowMountedLibpodCall

      public okhttp3.Call containerShowMountedLibpodCall(ApiCallback _callback) throws ApiException
      Build call for containerShowMountedLibpod
      Parameters:
      _callback - Callback for upload/download progress
      Returns:
      Call to execute
      Throws:
      ApiException - If fail to serialize the request body object
      Http Response Details
      Status Code Description Response Headers
      200 mounted containers -
      500 Internal server error -
    • containerShowMountedLibpod

      public Map<String,String> containerShowMountedLibpod() throws ApiException
      Show mounted containers Lists all mounted containers mount points
      Returns:
      Map<String, String>
      Throws:
      ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body
      Http Response Details
      Status Code Description Response Headers
      200 mounted containers -
      500 Internal server error -
    • containerShowMountedLibpodWithHttpInfo

      public ApiResponse<Map<String,String>> containerShowMountedLibpodWithHttpInfo() throws ApiException
      Show mounted containers Lists all mounted containers mount points
      Returns:
      ApiResponse<Map<String, String>>
      Throws:
      ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body
      Http Response Details
      Status Code Description Response Headers
      200 mounted containers -
      500 Internal server error -
    • containerShowMountedLibpodAsync

      public okhttp3.Call containerShowMountedLibpodAsync(ApiCallback<Map<String,String>> _callback) throws ApiException
      Show mounted containers (asynchronously) Lists all mounted containers mount points
      Parameters:
      _callback - The callback to be executed when the API call finishes
      Returns:
      The request call
      Throws:
      ApiException - If fail to process the API call, e.g. serializing the request body object
      Http Response Details
      Status Code Description Response Headers
      200 mounted containers -
      500 Internal server error -
    • containerStartLibpodCall

      public okhttp3.Call containerStartLibpodCall(String name, String detachKeys, ApiCallback _callback) throws ApiException
      Build call for containerStartLibpod
      Parameters:
      name - the name or ID of the container (required)
      detachKeys - Override the key sequence for detaching a container. Format is a single character [a-Z] or ctrl-<value> where <value> is one of: a-z, @, ^, [, , or _. (optional, default to ctrl-p,ctrl-q)
      _callback - Callback for upload/download progress
      Returns:
      Call to execute
      Throws:
      ApiException - If fail to serialize the request body object
      Http Response Details
      Status Code Description Response Headers
      204 no error -
      304 Container already started -
      404 No such container -
      500 Internal server error -
    • containerStartLibpod

      public void containerStartLibpod(String name, String detachKeys) throws ApiException
      Start a container
      Parameters:
      name - the name or ID of the container (required)
      detachKeys - Override the key sequence for detaching a container. Format is a single character [a-Z] or ctrl-<value> where <value> is one of: a-z, @, ^, [, , or _. (optional, default to ctrl-p,ctrl-q)
      Throws:
      ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body
      Http Response Details
      Status Code Description Response Headers
      204 no error -
      304 Container already started -
      404 No such container -
      500 Internal server error -
    • containerStartLibpodWithHttpInfo

      public ApiResponse<Void> containerStartLibpodWithHttpInfo(String name, String detachKeys) throws ApiException
      Start a container
      Parameters:
      name - the name or ID of the container (required)
      detachKeys - Override the key sequence for detaching a container. Format is a single character [a-Z] or ctrl-<value> where <value> is one of: a-z, @, ^, [, , or _. (optional, default to ctrl-p,ctrl-q)
      Returns:
      ApiResponse<Void>
      Throws:
      ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body
      Http Response Details
      Status Code Description Response Headers
      204 no error -
      304 Container already started -
      404 No such container -
      500 Internal server error -
    • containerStartLibpodAsync

      public okhttp3.Call containerStartLibpodAsync(String name, String detachKeys, ApiCallback<Void> _callback) throws ApiException
      Start a container (asynchronously)
      Parameters:
      name - the name or ID of the container (required)
      detachKeys - Override the key sequence for detaching a container. Format is a single character [a-Z] or ctrl-<value> where <value> is one of: a-z, @, ^, [, , or _. (optional, default to ctrl-p,ctrl-q)
      _callback - The callback to be executed when the API call finishes
      Returns:
      The request call
      Throws:
      ApiException - If fail to process the API call, e.g. serializing the request body object
      Http Response Details
      Status Code Description Response Headers
      204 no error -
      304 Container already started -
      404 No such container -
      500 Internal server error -
    • containerStatsLibpodCall

      public okhttp3.Call containerStatsLibpodCall(String name, Boolean stream, ApiCallback _callback) throws ApiException
      Build call for containerStatsLibpod
      Parameters:
      name - the name or ID of the container (required)
      stream - Stream the output (optional, default to true)
      _callback - Callback for upload/download progress
      Returns:
      Call to execute
      Throws:
      ApiException - If fail to serialize the request body object
      Http Response Details
      Status Code Description Response Headers
      200 no error -
      404 No such container -
      409 Conflict error in operation -
      500 Internal server error -
    • containerStatsLibpod

      public void containerStatsLibpod(String name, Boolean stream) throws ApiException
      Get stats for a container DEPRECATED. This endpoint will be removed with the next major release. Please use /libpod/containers/stats instead.
      Parameters:
      name - the name or ID of the container (required)
      stream - Stream the output (optional, default to true)
      Throws:
      ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body
      Http Response Details
      Status Code Description Response Headers
      200 no error -
      404 No such container -
      409 Conflict error in operation -
      500 Internal server error -
    • containerStatsLibpodWithHttpInfo

      public ApiResponse<Void> containerStatsLibpodWithHttpInfo(String name, Boolean stream) throws ApiException
      Get stats for a container DEPRECATED. This endpoint will be removed with the next major release. Please use /libpod/containers/stats instead.
      Parameters:
      name - the name or ID of the container (required)
      stream - Stream the output (optional, default to true)
      Returns:
      ApiResponse<Void>
      Throws:
      ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body
      Http Response Details
      Status Code Description Response Headers
      200 no error -
      404 No such container -
      409 Conflict error in operation -
      500 Internal server error -
    • containerStatsLibpodAsync

      public okhttp3.Call containerStatsLibpodAsync(String name, Boolean stream, ApiCallback<Void> _callback) throws ApiException
      Get stats for a container (asynchronously) DEPRECATED. This endpoint will be removed with the next major release. Please use /libpod/containers/stats instead.
      Parameters:
      name - the name or ID of the container (required)
      stream - Stream the output (optional, default to true)
      _callback - The callback to be executed when the API call finishes
      Returns:
      The request call
      Throws:
      ApiException - If fail to process the API call, e.g. serializing the request body object
      Http Response Details
      Status Code Description Response Headers
      200 no error -
      404 No such container -
      409 Conflict error in operation -
      500 Internal server error -
    • containerStopLibpodCall

      public okhttp3.Call containerStopLibpodCall(String name, Integer timeout, Boolean ignore, ApiCallback _callback) throws ApiException
      Build call for containerStopLibpod
      Parameters:
      name - the name or ID of the container (required)
      timeout - number of seconds to wait before killing container (optional, default to 10)
      ignore - do not return error if container is already stopped (optional, default to false)
      _callback - Callback for upload/download progress
      Returns:
      Call to execute
      Throws:
      ApiException - If fail to serialize the request body object
      Http Response Details
      Status Code Description Response Headers
      204 no error -
      304 Container already stopped -
      404 No such container -
      500 Internal server error -
    • containerStopLibpod

      public void containerStopLibpod(String name, Integer timeout, Boolean ignore) throws ApiException
      Stop a container
      Parameters:
      name - the name or ID of the container (required)
      timeout - number of seconds to wait before killing container (optional, default to 10)
      ignore - do not return error if container is already stopped (optional, default to false)
      Throws:
      ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body
      Http Response Details
      Status Code Description Response Headers
      204 no error -
      304 Container already stopped -
      404 No such container -
      500 Internal server error -
    • containerStopLibpodWithHttpInfo

      public ApiResponse<Void> containerStopLibpodWithHttpInfo(String name, Integer timeout, Boolean ignore) throws ApiException
      Stop a container
      Parameters:
      name - the name or ID of the container (required)
      timeout - number of seconds to wait before killing container (optional, default to 10)
      ignore - do not return error if container is already stopped (optional, default to false)
      Returns:
      ApiResponse<Void>
      Throws:
      ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body
      Http Response Details
      Status Code Description Response Headers
      204 no error -
      304 Container already stopped -
      404 No such container -
      500 Internal server error -
    • containerStopLibpodAsync

      public okhttp3.Call containerStopLibpodAsync(String name, Integer timeout, Boolean ignore, ApiCallback<Void> _callback) throws ApiException
      Stop a container (asynchronously)
      Parameters:
      name - the name or ID of the container (required)
      timeout - number of seconds to wait before killing container (optional, default to 10)
      ignore - do not return error if container is already stopped (optional, default to false)
      _callback - The callback to be executed when the API call finishes
      Returns:
      The request call
      Throws:
      ApiException - If fail to process the API call, e.g. serializing the request body object
      Http Response Details
      Status Code Description Response Headers
      204 no error -
      304 Container already stopped -
      404 No such container -
      500 Internal server error -
    • containerTopLibpodCall

      public okhttp3.Call containerTopLibpodCall(String name, Boolean stream, Integer delay, List<String> psArgs, ApiCallback _callback) throws ApiException
      Build call for containerTopLibpod
[...]
